Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.cci
Class DesignTimeInteractionSpecImpl

    java.lang.Object
      com.bea.adapter.cci.InteractionSpecImpl
          com.bea.adapter.cci.DesignTimeInteractionSpecImpl

All Implemented Interfaces:
  EventListener, javax.resource.cci.InteractionSpec, PropertyChangeListener, Serializable, VetoableChangeListener

public class DesignTimeInteractionSpecImpl
extends InteractionSpecImpl

Encapsulates properties for driving an `Interaction` with an EIS instance that is used to generate metadata for design-time. For example, a typical feature of an adapter at design time is to allow the end-user to browse a catalog of services provided by an EIS, such as the SAP R/3 Business Object Repository. Provides a base implementation for adapter providers to extend. Provides getters and setters for the standard properties (function name, verb, and timeout) defined by the J2EE Connector Architecture specification pg. 115.

Author:
  Copyright (c) 1998-2000 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static String` | `BROWSE`
`static String` | `GET_EVENT_SCHEMA`
`static String` | `GET_REQUEST_SCHEMA`
`static String` | `GET_RESPONSE_SCHEMA`

Fields inherited from interface javax.resource.cci.InteractionSpec
`SYNC_RECEIVE, SYNC_SEND, SYNC_SEND_RECEIVE`

Constructor Summary
`DesignTimeInteractionSpecImpl()`
`DesignTimeInteractionSpecImpl(String strFunctionName)`
`DesignTimeInteractionSpecImpl(String strFunctionName, int iVerb, int iTimeOut)`

Method Summary
`boolean` | `isBrowseRequest()`
`boolean` | `isEventSchemaRequest()`
`boolean` | `isRequestSchemaRequest()`
`boolean` | `isResponseSchemaRequest()`

Methods inherited from class com.bea.adapter.cci.InteractionSpecImpl
`addPropertyChangeListener, addVetoableChangeListener, fireChangeEvent, getExecutionTimeout, getFunctionName, getInteractionVerb, getInteractionVerbAsStr, propertyChange, removePropertyChangeListener, removeVetoableChangeListener, setExecutionTimeout, setFunctionName, setInteractionVerb, toString, vetoableChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GET_REQUEST_SCHEMA

    public static final String GET_REQUEST_SCHEMA

See Also:
  Constant Field Values

### GET_RESPONSE_SCHEMA

    public static final String GET_RESPONSE_SCHEMA

See Also:
  Constant Field Values

### GET_EVENT_SCHEMA

    public static final String GET_EVENT_SCHEMA

See Also:
  Constant Field Values

### BROWSE

    public static final String BROWSE

See Also:
  Constant Field Values

Constructor Detail

### DesignTimeInteractionSpecImpl

    public DesignTimeInteractionSpecImpl()
                                  throws javax.resource.ResourceException

### DesignTimeInteractionSpecImpl

    public DesignTimeInteractionSpecImpl(String strFunctionName)
                                  throws javax.resource.ResourceException

### DesignTimeInteractionSpecImpl

    public DesignTimeInteractionSpecImpl(String strFunctionName,
                                         int iVerb,
                                         int iTimeOut)
                                  throws javax.resource.ResourceException

Method Detail

### isRequestSchemaRequest

    public boolean isRequestSchemaRequest()
                                   throws javax.resource.ResourceException

  Returns:
    true if this InteractionSpec represents a request to obtain the request schema for a service.
  Throws:
    `javax.resource.ResourceException` - if an error occurs while obtaining the function name for this interaction spec.

### isResponseSchemaRequest

    public boolean isResponseSchemaRequest()
                                    throws javax.resource.ResourceException

  Returns:
    true if this InteractionSpec represents a request to obtain the response schema for a service.
  Throws:
    `javax.resource.ResourceException` - if an error occurs while obtaining the function name for this interaction spec.

### isBrowseRequest

    public boolean isBrowseRequest()
                            throws javax.resource.ResourceException

  Returns:
    true if this InteractionSpec represents a request to browse the EIS.
  Throws:
    `javax.resource.ResourceException` - if an error occurs while obtaining the function name for this interaction spec.

### isEventSchemaRequest

    public boolean isEventSchemaRequest()
                                 throws javax.resource.ResourceException

  Returns:
    true if this InteractionSpec represents a request to obtain the schema for an event.
  Throws:
    `javax.resource.ResourceException` - if an error occurs while obtaining the function name for this interaction spec.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD